sr = 16000 
kr = 160                               
ksmps = 100
nchnls = 2

garvbsig1  init 0
garvbsig2  init 0

instr 1
idb=ampdb(p4)
isc=idb*.333
k1 line 40,p3,800 
k2 line 440,p3,220
k3 linen isc,p6,p3,p7
k4 line 800,p3,40 
k5 line 220,p3,440  
k6 linen isc,p6,p3,p7 
ga1  coscil k3, p8, 4, p5
ga11 coscil k6, p9, 5, p5
ga2  butterbp ga1,k1,40
ga3  butterbp ga2,k5,k2*.8
gas1 balance ga3,ga1
ga12 butterbp ga11,k4,40
ga13 butterbp ga12,k2,k5*.8
gas2 balance ga13,ga11
outs gas1,gas2
endin

instr 2
idb1=ampdb(p9)
idb2=ampdb(p11)
k1 oscil idb1,1/p3,p8
k2 oscil idb2,1/p3,p10
k3 linen  3,.9,p3,.3
k4 randi k3,10
k5 randi k3,15
k6 linen p20,p14,p3,p16
k7 linen p21,p15,p3,p17
k8 oscil k6,p18,1
k9 oscil k7,p19,1
gas1 oscil k1,p4+k4+k8,p5
gas2 oscil k2,p6+k5+k9,p7
outs gas1,gas2
garvbsig1 addin gas1, p12
garvbsig2 addin gas2, p13
endin

instr 3
ifunc=p4
imeth=p5
iamp= ampdb(p6)
iseed= p7
ilforate=p8

if (imeth==2) kgoto randomb
if (imeth==3) kgoto randomc
if (imeth==4) kgoto randomd

randoma:	kindex  randh  10, ilforate, iseed
		kpitch  table   abs(kindex), 23
kgoto next

randomb:	kindex  randh  18, ilforate, iseed
		kpitch  table   abs(kindex), 24
kgoto next

randomc:	kindex  randh  9, ilforate, iseed
		kpitch  table   abs(kindex), 25
kgoto next

randomd:	kindex  randh  6, ilforate, iseed
		kpitch  table   abs(kindex), 26
next:   
         if p6>49 kgoto rb
             
ra: k1   linen iamp,.25*p3,p3,.2*p3
    k2   linen iamp,.2*p3,p3,.25*p3
    k5   line   1500,p3,50
    k6   line   1000,p3,50
    gas2 oscil k1,kpitch,ifunc
    ga2  oscil k2,kpitch*1.002,ifunc
    ga5  butterbp gas2,k5,30
    ga6  butterbp ga2,k6,25
         outs   ga5, ga6

rb: k3 linen iamp,.25*p3,p3,.2*p3
    k7 line  1500,p3,50
    ga3 oscil k3,kpitch,ifunc
 gas1  butterbp ga3,k7,25
       outs  gas1,gas2                            
endin

instr 99
gas1  reverb2 garvbsig1,3,.5
gas2  reverb2 garvbsig2,5,.25
outs gas1,gas2
garvbsig1=0
garvbsig2=0
endin

