<CsoundSynthesizer>
<CsInstruments>

#include "/home/olpc/csound-demos/adhocNetAddresses"

sr              =       44100
kr              =       441
ksmps           =       100
nchnls          =       2
       massign 1, 1
       massign 2, 2

midremot  "$master.", "$client1.", 1
insglobal "$master.", 25

gal     init    0
gar     init    0

itmp    ftgen   1, 0, 16384, 10, 1, 0, 1/3, 0, 1/5, 0, 1/7, 0, 1/9, 0,\
                                1/11, 0, 1/13, 0, 1/15, 0, 1/17, 0, 1/19
itmp    ftgen   2, 0, 16384, 10, 1/1, 1/2, 1/3, 1/4, 1/5, 1/6, 1/7, 1/8,\
                                1/9, 1/10, 1/11, 1/12, 1/13, 1/14, 1/15, 1/16

/*--- ---*/

               instr   1       ; right hand

iamp    ampmidi 	5000
kcps    cpsmidib        0
a1      oscil   iamp, kcps+0.002, 1
a2      oscil   iamp, kcps-0.002, 1
aenv    linenr  1, 0.05, 0.05, 0.05
aout    =       (a1+a2)*aenv
a0ut    moogvcf aout, iamp, 0.707, 0dbfs
        outs    a0ut, a0ut
gal     =       gal + a0ut
gar	=	gar + a0ut

               endin

/*--- ---*/

               instr   2       ; left hand

iamp    ampmidi	5000
kcps    cpsmidib        0
a1      oscil   iamp, kcps+0.002, 2
a2      oscil   iamp, kcps-0.002, 2
aenv    linenr  1, 0.05, 0.05, 0.05
aout    =       (a1+a2)*aenv
     	outs    aout, aout
gal	=	gal + aout
gar     =       gar + aout

               endin

/*--- ---*/

               instr   25

aoutl, aoutr   reverbsc        gal, gar, 0.618, sr/2
       outs    aoutl, aoutr

gal     =       0
gar     =       0

               endin

/*--- ---*/
</CsInstruments>

<CsScore>
i25     0       360
e
</CsScore>

</CsoundSynthesizer>




