sr =  32000	; sample rate
kr =   1600	; control rate
ksmps =  20	; sr/kr
nchnls =  2	; channels
	
	ibd 	ftload "d0136ns.aif"            ; load wavetables 1 - 4
	isd 	ftload "d0138ns.aif"
	ihc 	ftload "d0142ns.aif"
	iho 	ftload "d0146ns.aif"

idrmset ftsplit  4,3, 0,ibd,.4, 38,isd,.2,  \
		     42,ihc,.7, 46,iho,.8       ; set drumset splits
dpgminit 1.10, idrmset                          ; assign program 1, channel 10

ftscale ibd, 1.9                                ; scale gain of both samples
ftscale isd, 2.6

instr 1
		dvprogs  1		; respond to drum program 2
	ivel 	veloc 	 0, 5400	; velocity
	ift,ipn mtsplit  v1		; from splits: ftable and panning
	a1 	doscil   ivel, ift	; non-pitched one-shot oscillator
		panouts  a1, ipn	; panned output 
endin

