import CsoundAPI
from time import sleep

address = "localhost"
port = 7000

cs1 = CsoundAPI.CsoundAPI(address, port, is_gtk=False)
cs1.newInstance()

cs1.setMsgLevel(63)

cs1.setOrcNam("X/10whit.orc")
cs1.setMidiNam("X/10whit.mid")

# load orch and midifile into Csound
cs1.sendPrep()
sleep(1)

# play for 10 secs
cs1.sendPlay()

sleep(10)
#cs1.sendRewind()

#sleep(15)  # play that part again + 5 more secs

#cs1.sendFastFwdForTime(20.0)	#now skip 20

#sleep(10)			#and play 10

#cs1.sendFastFwdToTime(8.0)	#back to near beginning

sleep(1000)
cs1.close()
